Page MenuHomePhabricator

An invalid form control with name='NAME' is not focusable.
Closed, ResolvedPublic

Description

Steps to reproduce:

When you click on the submit button (tried in Chrome 53 / Ubuntu 16.04) nothing happens, and the error console logs An invalid form control with name='wpcallbackUrl' is not focusable.

Presumably a conflict between the hide-if option of HTMLForm (which hides the callback URL when owner-only is selected) and OOUIHTMLForm's client-side required field checking (the callback URL is required, but for plain HTMLForm that's overridden by hide-if).

Event Timeline

Tgr created this task.Sep 12 2016, 7:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2016, 7:05 PM
matmarex claimed this task.Sep 15 2016, 5:14 PM

Change 311459 had a related patch set uploaded (by Bartosz Dziewoński):
TextInputWidget: Add methods #setRequired / #isRequired

https://gerrit.wikimedia.org/r/311459

Change 311463 had a related patch set uploaded (by Bartosz Dziewoński):
mw.htmlform: Mark fields hidden with 'hide-if' as not required

https://gerrit.wikimedia.org/r/311463

matmarex triaged this task as Normal priority.Sep 19 2016, 5:31 PM

Change 311459 merged by jenkins-bot:
TextInputWidget: Add methods #setRequired / #isRequired

https://gerrit.wikimedia.org/r/311459

matmarex updated the task description. (Show Details)Dec 13 2016, 8:52 AM

Change 311463 merged by jenkins-bot:
mw.htmlform: Fields hidden with 'hide-if' should be disabled

https://gerrit.wikimedia.org/r/311463

matmarex closed this task as Resolved.Dec 18 2016, 4:37 PM
matmarex removed a project: Patch-For-Review.